using System;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Graphics.TwoDimensional.Abstract;
public interface IDisplayableSprite : IDisplayable, IAssignableSprite
{
    Action<IDisplayableSprite>? OnSpriteEffectsChanged { get; set; }
    Action<IDisplayableSprite>? OnOriginChanged { get; set; }
    Action<IDisplayableSprite>? OnColorChanged { get; set; }
    Action<IDisplayableSprite>? OnDepthChanged { get; set; }

    SpriteEffects SpriteEffects { get; set; }
    Vector2 Origin { get; set; }
    Color Color { get; set; }
    float Depth { get; set; }
}
